Summary: Print dialog and printer manager for Xfce 4
Name: xfprint
Version: 4.4.2
Release: 1%{?dist}
License: GPLv2+
URL: http://www.xfce.org
Source0: http://www.xfce.org/archive/xfce-4.4.2/src/xfprint-4.4.2.tar.bz2
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: libxfcegui4 >= %{version}
Requires: a2ps
Requires: xfce-mcs-manager >= %{version}
BuildRequires: glib2-devel
BuildRequires: libxfcegui4-devel >= %{version}
BuildRequires: libxfce4mcs-devel >= %{version}
BuildRequires: xfce-mcs-manager-devel >= %{version}
BuildRequires: a2ps
BuildRequires: cups-devel
BuildRequires: gnutls-devel
BuildRequires: gettext

%description
xfprint contains a print dialog and a printer manager for the
Xfce 4 Desktop Environment

%package devel
Summary: Development tools for the Xfce xfprint manager
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libxfcegui4-devel >= %{version}

%description devel
Static libraries and header files for the Xfce xfprint library.

%prep
%setup -q

%build
%configure

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT/%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT/%{_libdir}/xfce4/mcs-plugins/*.a
rm -f $RPM_BUILD_ROOT/%{_libdir}/xfce4/mcs-plugins/*.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/xfce4/xfprint-plugins/*.a
rm -f $RPM_BUILD_ROOT/%{_libdir}/xfce4/xfprint-plugins/*.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
/sbin/ldconfig

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
/sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README ChangeLog NEWS COPYING AUTHORS
%{_bindir}/*
%{_libdir}/xfce4/mcs-plugins/*
%{_libdir}/xfce4/xfprint-plugins
%{_libdir}/*.so.*
%{_datadir}/applications/*
%{_datadir}/xfce4/doc/C
%{_datadir}/xfce4/doc/fr
%{_datadir}/gtk-doc/html/libxfprint
%{_datadir}/icons/hicolor/*/*/*

%files devel
%defattr(-, root, root)
%{_includedir}/xfce4/libxfprint
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Sun Nov 18 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.2-1
- Update to 4.4.2

* Mon Aug 27 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.1-2
- Update License tag

* Wed Apr 11 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.1-1
- Update to 4.4.1
- Require xfce-mcs-manager for directory ownership issues.

* Tue Apr  3 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.0-2
- Don't own %%{_libdir}/xfce4/mcs-plugins

* Sun Jan 21 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.0-1
- Update to 4.4.0

* Fri Nov 10 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.2-1
- Update to 4.3.99.2
- Disable icons for now since they were not included in 4.3.99.2

* Thu Oct  5 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.1-3
- Fix defattr
- Add gtk-update-icon-cache

* Wed Oct  4 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.1-2
- Bump release for devel checkin

* Sun Sep  3 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.1-1
- Update to 4.3.99.1

* Wed Jul 12 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.90.2-1
- Update to 4.3.90.2

* Mon May  8 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.90.1-1
- Update to 4.3.90.1

* Mon Nov  7 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.3-1.fc5
- Update to 4.2.3
- Added dist tag
- Added doc/he files

* Fri May 17 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.2-1.fc4
- Updated to 4.2.2
- Added doc/fr directory

* Fri Mar 25 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-3.fc4
- lowercase Release

* Tue Mar 22 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-2.FC4
- Removed unneeded ldconfig and la/a files

* Tue Mar 15 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-1
- Updated to 4.2.1 version
- Fixed case of Xfce

* Fri Jan 28 2005 Than Ngo <than@redhat.com> 4.2.0-1
- 4.2.0

* Wed Sep 01 2004 Than Ngo <than@redhat.com> 4.0.6-2
- get rid of useless static library
- add missing ldconfig
- use find_lang

* Tue Aug 17 2004 Than Ngo <than@redhat.com> 4.0.6-1 
- Initial packaging for Fedora Core 3 
